type="OperatorWord"/>
      </rule>
      <rule pattern="([(){}\[\]:!#$%&amp;*+.\\/&lt;=&gt;?@^|~-]+)">
        <token type="OperatorWord"/>
      </rule>
      <rule pattern="\d+[eE][+-]?\d+">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="\d+\.\d+([eE][+-]?\d+)?">
        <token type="LiteralNumberFloat"/>
      </rule>
      <rule pattern="0[xX][\da-fA-F]+">
        <token type="LiteralNumberHex"/>
      </rule>
      <rule pattern="\d+">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="&#39;">
        <token type="LiteralStringChar"/>
        <push state="character"/>
      </rule>
      <rule pattern="&#34;">
        <token type="LiteralString"/>
        <push state="string"/>
      </rule>
      <rule pattern="[^\s(){}]+">
        <token type="Text"/>
      </rule>
      <rule pattern="\s+?">
        <token type="Text"/>
      </rule>
    </state>
    <state name="module">
      <rule pattern="\s+">
        <token type="Text"/>
      </rule>
      <rule pattern="([A-Z][\w.]*)(\s+)(\()">
        <bygroups>
          <token type="NameNamespace"/>
          <token type="Text"/>
          <token type="Punctuation"/>
        </bygroups>
        <push state="funclist"/>
      </rule>
      <rule pattern="[A-Z][\w.]*">
        <token type="NameNamespace"/>
        <pop depth="1"/>
      </rule>
    </state>
    <state name="funclist">
      <rule pattern="\s+">
        <token type="Text"/>
      </rule>
      <rule pattern="[A-Z]\w*">
        <token type="KeywordType"/>
      </rule>
      <rule pattern="(_[\w\&#39;]+|[a-z][\w\&#39;]*)">
        <token type="NameFunction"/>
      </rule>
      <rule pattern="--.*$">
        <token type="CommentSingle"/>
      </rule>
      <rule pattern="\{-">
        <token type="CommentMultiline"/>
        <push state="comment"/>
      </rule>
      <rule pattern=",">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="[:!#$%&amp;*+.\\/&lt;=&gt;?@^|~-]+">
        <token type="Operator"/>
      </rule>
      <rule pattern="\(">
        <token type="Punctuation"/>
        <push state="funclist" state="funclist"/>
      </rule>
      <rule pattern="\)">
        <token type="Punctuation"/>
        <pop depth="2"/>
      </rule>
    </state>
    <state name="comment">
      <rule pattern="[^-{}]+">
        <token type="CommentMultiline"/>
      </rule>
      <rule pattern="\{-">
        <token type="CommentMultiline"/>
        <push/>
      </rule>
      <rule pattern="-\}">
        <token type="CommentMultiline"/>
        <pop depth="1"/>
      </rule>
      <rule pattern="[-{}]">
        <token type="CommentMultiline"/>
      </rule>
    </state>
    <state name="character">
      <rule pattern="[^\\&#39;]">
        <token type="LiteralStringChar"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralStringEscape"/>
        <push state="escape"/>
      </rule>
      <rule pattern="&#39;">
        <token type="LiteralStringChar"/>
        <pop depth="1"/>
      </rule>
    </state>
    <state name="string">
      <rule pattern="[^\\&#34;]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="\\">
        <token type="LiteralStringEscape"/>
        <push state="escape"/>
      </rule>
      <rule pattern="&#34;">
        <token type="LiteralString"/>
        <pop depth="1"/>
      </rule>
    </state>
  </rules>
</lexer>